dotnet-nuget-delete(1)

dotnet nuget delete

This article applies to: ✔️ .NET Core 3.1 SDK and later versions

NAME

dotnet-nuget-delete - Deletes or unlists a package from the server.

SYNOPSIS

    dotnet nuget delete [<PACKAGE_NAME> <PACKAGE_VERSION>] [--force-english-output]
        [--interactive] [-k|--api-key <API_KEY>] [--no-service-endpoint]
        [--non-interactive] [-s|--source <SOURCE>]

    dotnet nuget delete -h|--help

DESCRIPTION

The dotnet nuget delete command deletes or unlists a package from the server. For nuget.org (https://www.nuget.org/), the action is to unlist the package.

ARGUMENTS

•   PACKAGE_NAME

    Name/ID of the package to delete.

•   PACKAGE_VERSION

    Version of the package to delete.

OPTIONS

•   --force-english-output

    Forces the application to run using an invariant, English-based culture.

•   -?|-h|--help

    Prints out a description of how to use the command.

•   --interactive

    Allows the command to stop and wait for user input or action. For example, to complete authentication. Available since .NET Core 3.0 SDK.

•   -k|--api-key <API_KEY>

    The API key for the server.

•   --no-service-endpoint

    By default, the command appends “/api/v2/package” to the specified URL. This option is for custom feeds that must use the exact source URL as specified with the --source option. For more information, see the --source option later in this article.

•   --non-interactive

    Doesn’t prompt for user input or confirmations.

•   -s|--source <SOURCE>

    Specifies the server URL. The URL specified by using this option can be either V2 (https://www.nuget.org/api/v2/) or V3 (https://api.nuget.org/v3/index.json). For private feeds, replace the host name (for example, %hostname%/api/v3/index.json).

EXAMPLES

•   Deletes version 1.0 of package Microsoft.AspNetCore.Mvc:

        dotnet nuget delete Microsoft.AspNetCore.Mvc 1.0

•   Deletes version 1.0 of package Microsoft.AspNetCore.Mvc, not prompting user for credentials or other input:

        dotnet nuget delete Microsoft.AspNetCore.Mvc 1.0 --non-interactive